com.pixelmed.dicom

## Class CoercionModel

- java.lang.Object
- - com.pixelmed.dicom.CoercionModel

    public class CoercionModel
    extends java.lang.Object

A class to encapsulate patient and study information to be used for coercion of identifiers in DICOM instances.

### Constructor Summary

Constructors
Constructor and Description
`CoercionModel(java.util.Vector paths)`

### Method Summary

Methods
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CoercionModel

    public CoercionModel(java.util.Vector paths)

Parameters:
  `paths` - paths to DICOM files from which to extract all patient and study information

### Method Detail

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`